package cn.reghao.tnb.account.app.db.query;

import cn.reghao.jutil.jdk.db.BaseQuery;
import cn.reghao.tnb.account.app.model.dto.AccountDetail;
import cn.reghao.tnb.account.app.model.po.UserAccount;

/**
 * @author reghao
 * @date 2021-11-16 09:22:13
 */
public interface UserAuthQuery extends BaseQuery<UserAccount> {
    AccountDetail findByUsername(String username);
    AccountDetail findByEmail(String email);
    AccountDetail findByMobile(String mobile);
}
